Go to the latest version of this document.

# ``twisted`.`python`.`zippath``

module documentation
(source)

This module contains implementations of `IFilePath` for zip files.

See the constructor of `ZipArchive` for use.

Class | `ZipArchive` | I am a `FilePath`-like object which can wrap a zip archive as if it were a directory.
Class | `ZipPath` | I represent a file or directory contained within a zip file.
Constant | `ZIP_PATH_SEP` | Undocumented
Type Variable | `_ArchiveStr` | Undocumented
Type Variable | `_ZipSelf` | Undocumented
Type Variable | `_ZipStr` | Undocumented

ZIP_PATH_SEP: `str` = (source)

Undocumented

Value

    '/'

_ArchiveStr = (source)

Undocumented

Value

    TypeVar('_ArchiveStr', bytes, str)

_ZipSelf = (source)

Undocumented

Value

    TypeVar('_ZipSelf',
            bound='ZipPath[Any, Any]')

_ZipStr = (source)

Undocumented

Value

    TypeVar('_ZipStr', bytes, str)